YEARNet = '2019'
YRNet   = '19'            ;2 digit model year in Master Net
; ------------------------------------------------------------------------------
; STEP 0: Initialize
*del .\outputs /q
*IF NOT EXIST ".\outputs" MKDIR ".\outputs"
; ------------------------------------------------------------------------------
; STEP 1: Master Network to Model Year Network
RUN PGM=HWYNET PRNFILE=".\outputs\step1.prn" MSG='STEP 1: Master Network to Model Year Network'
    NETI="..\_MasterNet\Roads_Master_v36.net"  ; master network
    NETO="outputs\Roads_@YEARNet@.net",                   ; model year network
        INCLUDE=A,B,NAME,DISTANCE,LANES,SPEED,CAPCLASS,HOVLINK,
                PREVOL_AM,PREVOL_PM,PREVOL_OP,VAL_ID,AVGTRVLDST
    ; for centroid connectivity check in Step 2
    NODEO="outputs\NODE.DBF", FORMAT=DBF,
        INCLUDE=N,X,Y
    LINKO="outputs\LINK.DBF", FORMAT=DBF,
        INCLUDE=A,B

    PHASE=LINKMERGE
        ; create LANES, CAPCLASS, SPEED, HOVLINK, SPDCURV, USECLASS
        NAME      = NAME
        LANES     = LANES@YRNet@
        SPEED     = SPEED@YRNet@
        CAPCLASS  = CAPCLASS@YRNet@
        HOVLINK   = HOVLINK@YRNet@
        PREVOL_AM = PREVOLAM@YRNet@
        PREVOL_PM = PREVOLPM@YRNet@
        PREVOL_OP = PREVOLOP@YRNet@
        VAL_ID    = VAL_ID
        AVGTRVLDST= AVGTRVLDST

        IF (FLG@YRNet@=0) DELETE
    ENDPHASE
ENDRUN
; ------------------------------------------------------------------------------
